For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
PricingJoin CommunityGet API Key
DocumentationAPI ReferenceChangelog
DocumentationAPI ReferenceChangelog
  • API Reference
        • POSTCreate
        • GETList
        • PUTUpdate
  • Additional Resources
    • Try on Postman
LogoLogo
PricingJoin CommunityGet API Key
API ReferenceDubbingProjects

Create

POST
https://api.murf.ai/v1/murfdub/projects/create
POST
/v1/murfdub/projects/create
1from murf import MurfDub
2
3client = MurfDub(
4 api_key="YOUR_API_KEY",
5)
6
7client.dubbing.projects.create(
8 name="NameOfYourProject",
9 dubbing_type="AUTOMATED",
10 target_locales=["fr_FR", "de_DE"],
11)
1{
2 "project_id": "project_id",
3 "dubbing_type": "AUTOMATED",
4 "target_locales": [
5 "target_locales"
6 ],
7 "name": "name",
8 "description": "description",
9 "source_locale": "source_locale"
10}
Was this page helpful?
Previous

List

Next
Built with

Headers

api-keystringRequired
Your Dub API key

Request

This endpoint expects an object.
namestringRequired
Your Project Name
dubbing_typeenumRequired
Allowed values:
target_localeslist of stringsRequired
List of target locales
source_localestringOptional
Source Locale
descriptionstringOptional

Response

Ok
project_idstring
Your Project Id
dubbing_typeenum
Dubbing Type
Allowed values:
target_localeslist of strings
List of target locales
namestring
Project Name
descriptionstring
source_localestring
Source Locale

Errors

400
Bad Request Error
403
Forbidden Error
500
Internal Server Error
503
Service Unavailable Error